Bug 783715 - Running bluetooth.service makes soft blocked wifi be hard blocked after resume from suspend
Running bluetooth.service makes soft blocked wifi be hard blocked after resum...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pm-utils (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-21 18:54 EST by Aleksandra Bookwar
Modified: 2013-02-13 20:23 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 20:23:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
explanation with log quotes (13.41 KB, text/plain)
2012-01-21 18:54 EST, Aleksandra Bookwar
no flags Details
dmesg (92.29 KB, text/plain)
2012-01-21 18:55 EST, Aleksandra Bookwar
no flags Details
lsmod (3.95 KB, text/plain)
2012-01-21 18:56 EST, Aleksandra Bookwar
no flags Details
lspci -k (2.95 KB, text/plain)
2012-01-21 18:57 EST, Aleksandra Bookwar
no flags Details
pm-suspend.log - bluetooth is running, default pm options (7.78 KB, text/plain)
2012-01-21 19:18 EST, Aleksandra Bookwar
no flags Details
pm-suspend.log - bluetooth is stopped, default pm options (7.78 KB, text/x-log)
2012-01-21 19:21 EST, Aleksandra Bookwar
no flags Details
pm-test-day-bugreport (11.15 KB, text/plain)
2012-04-05 13:39 EDT, Aleksandra Bookwar
no flags Details

  None (edit)
Description Aleksandra Bookwar 2012-01-21 18:54:31 EST
Created attachment 556724 [details]
explanation with log quotes

Description of problem:

   When bluetooth.sevice is running, if wireless is turned off through Network Manager before suspend, there is no way to turn it on after resume.

Version-Release number of selected component (if applicable):

   kernel-3.1.9-1.fc16.x86_64

   http://www.smolts.org/client/show/pub_79a20784-2ae1-4971-8ece-be0d3c0521a6

How reproducible: Always

Steps to Reproduce:
    1. Run 'sudo service bluetooth start'
    2. Turn the NM wireless switch off.
    3. Suspend and resume
    4. Turn the switch on
  
Actual results:
    The switch stays turned off, wifi doesn't work.
    rfkill says "Hard lock: yes"

Expected results:
    Wifi is turned on. "Hard lock: no"

Additional info:

    rfkill unlock doesn't help and there is no hardware switch on my laptop.
    If i stop bluetooth.service and suspend and resume again, wifi is unlocked and works with no problems.

See the step by step explanation in attachment, also I am going to add lspci, dmesg and lsmod.
Comment 1 Aleksandra Bookwar 2012-01-21 18:55:33 EST
Created attachment 556725 [details]
dmesg
Comment 2 Aleksandra Bookwar 2012-01-21 18:56:17 EST
Created attachment 556726 [details]
lsmod
Comment 3 Aleksandra Bookwar 2012-01-21 18:57:20 EST
Created attachment 556727 [details]
lspci -k
Comment 4 Aleksandra Bookwar 2012-01-21 19:05:59 EST
How the bluetooth dependency was found:

as a workaround I tried the following:
 # echo "SUSPEND_MODULES=rfkill" >> /etc/pm/config.d/rfkill 

but then /var/log/pm-suspend.log showed that rfkill depends on bnep module, which cannot be unloaded:

 Unloading kernel module rfkill...FATAL: Module bnep is in use.
 /usr/lib64/pm-utils/functions: line 89: log: command not found
 FATAL: Module bnep is in use.
 /usr/lib64/pm-utils/functions: line 89: log: command not found
 Failed.

Then, while I was looking for the way how to unload bnep module, I disabled bluetooth.service, and everything started to work _without_ "SUSPEND_MODULES=rfkill" config option.
Comment 5 Aleksandra Bookwar 2012-01-21 19:18:22 EST
Created attachment 556728 [details]
pm-suspend.log - bluetooth is running, default pm options

Softblocked wifi becomes hardblocked
Comment 6 Aleksandra Bookwar 2012-01-21 19:21:27 EST
Created attachment 556730 [details]
pm-suspend.log - bluetooth is stopped, default pm options

This suspend is made directly after previous broken one but with bluetooth stopped. As a result: Wifi is unblocked, and everything works.


P.S. And sorry for flooding the bug with comments. I am not sure which info might be useful here.
Comment 7 Jaroslav Škarvada 2012-02-22 10:11:29 EST
Could you resolve your issue by disabling the bluetooth pm-utils hook? i.e.:
# echo 'HOOK_BLACKLIST="49bluetooth"' > /etc/pm/config.d/bluetooth.conf

If it doesn't help, re-enable the hook by:
# rm /etc/pm/config.d/bluetooth.conf
Comment 8 Aleksandra Bookwar 2012-04-05 13:37:09 EDT
Sorru it took so long to answer. It seems I was wrong with my initial assumption about bluetooth involved.

I participated in Power Management testday and retested the problem with current Fedora Beta 17 rc3 image. 

The reproducible sequence is as follows:

1) boot - wireless device is enabled and recognizes several wifi networks
2) switch wireless of using the switch in NetworkManager interface in gnome-shell
3) suspend
4) resume
5) try to switch the wireless device on in NM interface. The switch changes to "hardware disabled" label
6) suspend
7) resume
8) and wireless device is working again and shows the wireless networks.

Thus, if wireless device was switched off before suspend it can not be switched on after resume. You have to switch it on and then perform additional suspend/resume step to make it work.

Tested with pm-utils-1.4.1-18.fc17.x86_64
Smolt: http://www.smolts.org/client/show/pub_7008de12-54c3-4060-a250-6d62023a83f9
Comment 9 Aleksandra Bookwar 2012-04-05 13:39:49 EDT
Created attachment 575505 [details]
pm-test-day-bugreport

Output of pm bugreport tool after the suspend/resume with wireless switched off.
Comment 10 Fedora End Of Life 2013-01-16 17:52:48 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Fedora End Of Life 2013-02-13 20:23:44 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.